-- version and date
local revision = tonumber(("$Revision: 47930 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-09-02 03:43:18 -0400 (Sun, 02 Sep 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "Scorchio", "Scorchio")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- show the anchor
    Scorchio.anchor:Show()
    
    -- show test bars
    Scorchio:ShowTestBars()
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    -- hide the anchor
    Scorchio.anchor:Hide()
    
    -- hide test bars
    Scorchio:HideTestBars()

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()